Subject: Re: Wedding Cakes

From: [email-masked] (SDunavan)
Date: 3 Jan 1995 10:37:50 -0500

Check out some books or articles by Simon R. Charsley -- I think there was
a book review in Natural History or Smithsonian magazine in the last few
years.  His book titled "Wedding Cakes and Cultural Meaning" was published
in 1992 in New York by Routledge, and there was an article titled "The
Wedding Cake: History and Meanings" in 1988 in Folklore, vol. 99:232-241.